import { Form, Input, Radio } from "antd";
import { useTranslation } from "react-i18next";
import { connect } from "react-redux";
import { createStructuredSelector } from "reselect";

const mapStateToProps = createStructuredSelector({});

export default connect(mapStateToProps, null)(PartsReceiveModalComponent);

export function PartsReceiveModalComponent() {
  const { t } = useTranslation();

  return (
    <div>
      <Form.Item
        name="table"
        rules={[
          {
            required: true
            //message: t("general.validation.required"),
          }
        ]}
      >
        <Input.TextArea rows={8} />
      </Form.Item>
      <Form.Item label={t("general.labels.sendby")} name="sendby" initialValue="print">
        <Radio.Group>
          <Radio value="email">{t("general.labels.email")}</Radio>
          <Radio value="print">{t("general.labels.print")}</Radio>
        </Radio.Group>
      </Form.Item>
    </div>
  );
}
